//
//  ViewController.h
//  LifeGameOnMac
//
//  Created by narita on 2016/08/31.
//  Copyright © 2016年 narita. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// MEMO: 接頭語をつける。"LGOM"

@interface LGOMViewController : NSViewController

#pragma mark -
#pragma mark class methods

#pragma mark -
#pragma mark init methods

#pragma mark -
#pragma mark dealloc

#pragma mark -
#pragma mark NSCopying, hash, isEqual:

#pragma mark -
#pragma mark NSCoding methods

#pragma mark -
#pragma mark awakeFromNib-like methods

#pragma mark -
#pragma mark NSViewController life cycle methods

#pragma mark -
#pragma mark action methods

- (IBAction) start:(id)sender;

- (IBAction) stop:(id)sender;

- (IBAction) random:(id)sender;

- (IBAction) clear:(id)sender;

- (IBAction) repeat:(id)sender;

- (IBAction) next:(id)sender;

- (IBAction) toggleCell:(id)sender;

#pragma mark -
#pragma mark delegate/datasource methods

#pragma mark -
#pragma mark accessor methods (in pairs)

@property (weak) IBOutlet NSMatrix* matrix;

@property (strong) NSTimer* timer;

#pragma mark -
#pragma mark Utility methods


@end